Skip to content

Update an App Authenticator Enrollment

Request

OAuth 2.0 scope:
  • okta.myAccount.appAuthenticator.maintenance.manage

Updates an app authenticator enrollment

The following update operations are allowed:

  • Update the user verification key
  • Remove the user verification key
  • Update the push token
  • Update the push method transaction types

For more information, see Access token management in the Custom authenticator integration guide.

Note: The following higher risk update operations require a stronger okta.myAccount.appAuthenticator.manage scope:

  • Update the user verification key
  • Remove the user verification key
Path
enrollmentIdstringrequired

Id of the user's app authenticator enrollment

Example:pfd7rzcmvlhmE0Y1w0g4
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/merge-patch+json;okta-version=1.0.0
methodsobject
PATCH
/idp/myaccount/app-authenticators/{enrollmentId}
curl -i -X PATCH \
  https://okta-subdomain.pixtulate.com/idp/myaccount/app-authenticators/pfd7rzcmvlhmE0Y1w0g4 \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/merge-patch+json;okta-version=1.0.0' \
  -d '{
    "methods": {
      "push": {
        "pushToken": "667b713e90871f014805f45f770c90d161b84b609d167039b2c388c7bacfdaa1"
      }
    }
  }'

Responses

OK

Bodyapplication/json;okta-version=1.0.0
authenticatorIdstringread-only
createdDatestring, (date-time)read-only
deviceobjectread-only
idstringread-only
lastUpdatedstring, (date-time)read-only
methodsobject
userobjectread-only
Response
{ "authenticatorId": "string", "createdDate": "2019-08-24T14:15:22Z", "device": { "id": "string", "status": "ACTIVE", "createdDate": "2019-08-24T14:15:22Z", "lastUpdated": "2019-08-24T14:15:22Z", "clientInstanceId": "string" }, "id": "string", "lastUpdated": "2019-08-24T14:15:22Z", "links": { "self": {} }, "methods": { "push": {} }, "user": { "id": "string", "username": "string" } }